[versions]
app-version-code = "1"
app-version-name = "1.0.0"
agp = "9.0.0"
jdk = "21"
android-compileSdk = "36"
android-minSdk = "26"
android-targetSdk = "36"
kotlin = "2.3.0"

[libraries]
androidx-activity-compose = { module = "androidx.activity:activity-compose", version = "1.12.2" }
androidx-core-ktx = { module = "androidx.core:core-ktx", version = "1.17.0" }

compose-runtime = { module = "org.jetbrains.compose.runtime:runtime", version = "1.10.0" }
compose-foundation = { module = "org.jetbrains.compose.foundation:foundation", version = "1.10.0" }
compose-material3 = { module = "org.jetbrains.compose.material3:material3", version = "1.10.0-alpha05" }
compose-ui = { module = "org.jetbrains.compose.ui:ui", version = "1.10.0" }
compose-components-resources = { module = "org.jetbrains.compose.components:components-resources", version = "1.10.0" }
compose-ui-tooling = { module = "org.jetbrains.compose.ui:ui-tooling", version = "1.10.0" }
compose-ui-tooling-preview = { module = "org.jetbrains.compose.ui:ui-tooling-preview", version = "1.10.0" }
compose-ui-test = { module = "org.jetbrains.compose.ui:ui-test", version = "1.10.0" }
compose-ui-test-desktop = { module = "org.jetbrains.compose.ui:ui-test-desktop", version = "1.10.0" }

atrium = { module = "ch.tutteli.atrium:atrium-fluent", version = "1.2.0" }

kotlin-test = { module = "org.jetbrains.kotlin:kotlin-test", version.ref = "kotlin" }

logging-jvm = { module = "io.github.oshai:kotlin-logging-jvm", version = "7.0.14" }
logging-slf4j = { module = "org.slf4j:slf4j-simple", version = "2.0.17" }

[bundles]
logging = ["logging-jvm", "logging-slf4j"]

[plugins]
versions = { id = "com.github.ben-manes.versions", version = "0.53.0" }
android-application = { id = "com.android.application", version.ref = "agp" }
android-library = { id = "com.android.kotlin.multiplatform.library", version.ref = "agp" }
kotlin-multiplatform = { id = "org.jetbrains.kotlin.multiplatform", version.ref = "kotlin" }
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
compose-compiler = { id = "org.jetbrains.kotlin.plugin.compose", version.ref = "kotlin" }
compose = { id = "org.jetbrains.compose", version = "1.10.0" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
sonarqube = { id = "org.sonarqube", version = "7.2.2.6593" }
kotlin-kover = { id = "org.jetbrains.kotlinx.kover", version = "0.9.4" }